Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlSubmit

    java.lang.Object
      com.eviware.soapui.impl.wsdl.WsdlSubmit

All Implemented Interfaces:
  Submit, java.lang.Runnable

    public final class WsdlSubmit

extends java.lang.Object
implements java.lang.Runnable, Submit

Submit implementation for submitting a WsdlRequest

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Submit
`Submit.Status`

Constructor Summary
`WsdlSubmit(WsdlRequest wsdlRequest, SubmitListener[] listeners, RequestTransport transport)`

Method Summary
`void` | `cancel()`
`java.lang.Exception` | `getError()`
`Request` | `getRequest()`
`Response` | `getResponse()`
`Submit.Status` | `getStatus()`
`void` | `run()`
`void` | `submitRequest(SubmitContext submitContext, boolean async)`
`Submit.Status` | `waitUntilFinished()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlSubmit

    public WsdlSubmit(WsdlRequest wsdlRequest,
                      SubmitListener[] listeners,
                      RequestTransport transport)

Method Detail

### submitRequest

    public void submitRequest(SubmitContext submitContext,
                              boolean async)

### cancel

    public void cancel()

  Specified by:
    `cancel` in interface `Submit`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getRequest

    public Request getRequest()

  Specified by:
    `getRequest` in interface `Submit`

### getStatus

    public Submit.Status getStatus()

  Specified by:
    `getStatus` in interface `Submit`

### getError

    public java.lang.Exception getError()

  Specified by:
    `getError` in interface `Submit`

### waitUntilFinished

    public Submit.Status waitUntilFinished()

  Specified by:
    `waitUntilFinished` in interface `Submit`

### getResponse

    public Response getResponse()

  Specified by:
    `getResponse` in interface `Submit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.